# Generated from kafka_lite-5.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name kafka_lite

Name: rubygem-%{gem_name}
Version: 5.1.2
Release: 1%{?dist}
Summary: A "lite" version of Kafka, the distributed streaming platform
License: MIT
URL: https://github.com/simplybusiness/kafka_lite
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-rescue)
BuildArch: noarch

%description
Experiment with the unified log and with event sourcing, _sans_ Kafka!


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/console_consumer
%{_bindir}/console_producer
%{_bindir}/kafka_consumers
%{_bindir}/kafka_lite
%{_bindir}/kafka_producer
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.pryrc
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/kafka_lite.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 5.1.2-1
- Initial package
